-- https://tweaked.cc/guide/gps_setup.html
-- Seems to not work with optifine
-- put shell.run("/brulijam/gps-tower.lua") in brulijam/task.lua

basic = require("lib.basic")

if fs.exists "/brulijam/config/gps.config" then
  gpsConfig = basic.readFileAll("/brulijam/config/gps.config")
  gpsConfig = textutils.unserialize(gpsConfig)
else
  gpsConfig = {}
  gpsConfig["posX"] = 0
  gpsConfig["posY"] = 0
  gpsConfig["posZ"] = 0
  basic.writeToFile("/brulijam/config/gps.config", textutils.serialize(gpsConfig))
end

shell.run("gps", "host", gpsConfig["posX"], gpsConfig["posY"], gpsConfig["posZ"])